//
//  Stat.m
//  PostingListCompression
//
//  Created by Lars Martin S. Pedersen on 9/23/13.
//  Copyright (c) 2013 Atbrox AS. All rights reserved.
//

#import "Stat.h"

@implementation Stat

@synthesize start = _start, end = _end;

-(id) initWithStart:(NSDate *)start
{
    self = [super init];
    if (self)
        _start = start;
    return self;
}

-(float) duration
{
    if (_start)
    {
        if (_end)
            return [_end timeIntervalSinceDate:_start];
        else
            return [[NSDate date] timeIntervalSinceDate:_start];
    }
    
    return 0.0;
}



@end
