// Copyright 2013 Atbrox AS
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#import <UIKit/UIKit.h>

#import "FirstViewController.h"

@interface SecondViewController : UIViewController <StatisticsUpdateDelegate>

@property NSDictionary *encodeStats;

@property (strong, nonatomic) IBOutlet UIButton *saveLogButton;

@property (strong, nonatomic) IBOutlet UITextField *ioReadTextField;
@property (strong, nonatomic) IBOutlet UITextField *ioReadWaitTextField;
@property (strong, nonatomic) IBOutlet UITextField *preProcessTextField;
@property (strong, nonatomic) IBOutlet UITextField *processTextField;
@property (strong, nonatomic) IBOutlet UITextField *postProcessTextField;
@property (strong, nonatomic) IBOutlet UITextField *processWaitTextField;
@property (strong, nonatomic) IBOutlet UITextField *ioWriteTextField;
@property (strong, nonatomic) IBOutlet UITextField *ioWriteWaitTextField;
@property (strong, nonatomic) IBOutlet UITextField *totalTimeTextField;

- (IBAction)saveLog:(id)sender;

@end
